+ Reply to Thread
Results 1 to 4 of 4

Thread: Patcher patches to wrong version

  1. #1
    Telaran
    Join Date
    Sep 2016
    Posts
    92

    Default Patcher patches to wrong version

    Hi,

    I play on both Europe and sometimes NA. So this morning I started and the program patched Na up. Later, I wanted to log into Europe, too. The patcher patched, I clicked "Play" and got loaded into the character select, which stopped and told me I had the wrong version of the game and that I need to restart the patcher and patch to the right version.

    But when I restart the patcher, it only offers "Play" in Europe (which, when clicked, results in the same error again). Patching back to Na and then again to Europe didn't solve the issue, and logging into a PC that wasn't patched yesterday shows the wrong version, too.

    Please fix. Thanks.

    Kaynda

  2. #2
    Soulwalker
    Join Date
    Mar 2011
    Posts
    11

    Default

    Having the same issue on EU Live, Vigil seems to work fine though.

  3. #3
    Soulwalker
    Join Date
    May 2013
    Posts
    14

    Default

    Quote Originally Posted by Ravene View Post
    Having the same issue on EU Live, Vigil seems to work fine though.
    same problem, the patcher requires an update.
    Rift - EU cannot be started.
    Attached Thumbnails Attached Thumbnails Patcher patches to wrong version-2018-03-22-2-.jpg  

  4. #4
    Soulwalker Arlie's Avatar
    Join Date
    Nov 2016
    Posts
    6

    Default

    I am having the exact same issue.

+ Reply to Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts